import { OnInit, OnDestroy, AfterViewInit, ElementRef, ChangeDetectorRef, EventEmitter, OnChanges } from "@angular/core";
import { Hsva } from "../../clases/formats";
import { SliderPosition } from "../../clases/slider";
import { ConverterService } from "../../services/converter.service";
export declare class ColorPickerComponent implements OnInit, OnDestroy, AfterViewInit, OnChanges {
    private service;
    private cdr;
    color: Hsva;
    controls: "default" | "only-alpha" | "no-alpha";
    colorChange: EventEmitter<Hsva>;
    onAlphaChange: EventEmitter<any>;
    private hsva;
    private outputColor;
    selectedColor: string;
    private fallbackColor;
    private sliderDimMax;
    slider: SliderPosition;
    hueSliderColor: string;
    alphaSliderColor: string;
    hueSlider: ElementRef;
    alphaSlider: ElementRef;
    constructor(service: ConverterService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    onSliderChange(type: string, event: any): void;
    setColor(color: any): void;
    getBackgroundColor(color: any): {
        background: string;
    };
    private update;
}
